Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf.codec.wmf
Class MetaFont

    java.lang.Object
      com.lowagie.text.pdf.codec.wmf.MetaObject
          com.lowagie.text.pdf.codec.wmf.MetaFont

    public class MetaFont

extends MetaObject

Field Summary
`(package private) float` | `angle`
`(package private) int` | `bold`
`(package private) static int` | `BOLDTHRESHOLD`
`(package private) int` | `charset`
`(package private) static int` | `DEFAULT_PITCH`
`(package private) static int` | `ETO_CLIPPED`
`(package private) static int` | `ETO_OPAQUE`
`(package private) String` | `faceName`
`(package private) static int` | `FF_DECORATIVE`
`(package private) static int` | `FF_DONTCARE`
`(package private) static int` | `FF_MODERN`
`(package private) static int` | `FF_ROMAN`
`(package private) static int` | `FF_SCRIPT`
`(package private) static int` | `FF_SWISS`
`(package private) static int` | `FIXED_PITCH`
`(package private) BaseFont` | `font`
`(package private) static String[]` | `fontNames`
`(package private) int` | `height`
`(package private) int` | `italic`
`(package private) static int` | `MARKER_BOLD`
`(package private) static int` | `MARKER_COURIER`
`(package private) static int` | `MARKER_HELVETICA`
`(package private) static int` | `MARKER_ITALIC`
`(package private) static int` | `MARKER_SYMBOL`
`(package private) static int` | `MARKER_TIMES`
`(package private) static int` | `nameSize`
`(package private) int` | `pitchAndFamily`
`(package private) boolean` | `strikeout`
`(package private) boolean` | `underline`
`(package private) static int` | `VARIABLE_PITCH`

Fields inherited from class com.lowagie.text.pdf.codec.wmf.MetaObject
`META_BRUSH, META_FONT, META_NOT_SUPPORTED, META_PEN, type`

Constructor Summary
`MetaFont()`

Method Summary
`float` | `getAngle()`
`BaseFont` | `getFont()`
`float` | `getFontSize(MetaState state)`
`void` | `init(InputMeta in)`
`boolean` | `isStrikeout()`
`boolean` | `isUnderline()`

Methods inherited from class com.lowagie.text.pdf.codec.wmf.MetaObject
`getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fontNames

    static final String[] fontNames

### MARKER_BOLD

    static final int MARKER_BOLD

See Also:
  Constant Field Values

### MARKER_ITALIC

    static final int MARKER_ITALIC

See Also:
  Constant Field Values

### MARKER_COURIER

    static final int MARKER_COURIER

See Also:
  Constant Field Values

### MARKER_HELVETICA

    static final int MARKER_HELVETICA

See Also:
  Constant Field Values

### MARKER_TIMES

    static final int MARKER_TIMES

See Also:
  Constant Field Values

### MARKER_SYMBOL

    static final int MARKER_SYMBOL

See Also:
  Constant Field Values

### DEFAULT_PITCH

    static final int DEFAULT_PITCH

See Also:
  Constant Field Values

### FIXED_PITCH

    static final int FIXED_PITCH

See Also:
  Constant Field Values

### VARIABLE_PITCH

    static final int VARIABLE_PITCH

See Also:
  Constant Field Values

### FF_DONTCARE

    static final int FF_DONTCARE

See Also:
  Constant Field Values

### FF_ROMAN

    static final int FF_ROMAN

See Also:
  Constant Field Values

### FF_SWISS

    static final int FF_SWISS

See Also:
  Constant Field Values

### FF_MODERN

    static final int FF_MODERN

See Also:
  Constant Field Values

### FF_SCRIPT

    static final int FF_SCRIPT

See Also:
  Constant Field Values

### FF_DECORATIVE

    static final int FF_DECORATIVE

See Also:
  Constant Field Values

### BOLDTHRESHOLD

    static final int BOLDTHRESHOLD

See Also:
  Constant Field Values

### nameSize

    static final int nameSize

See Also:
  Constant Field Values

### ETO_OPAQUE

    static final int ETO_OPAQUE

See Also:
  Constant Field Values

### ETO_CLIPPED

    static final int ETO_CLIPPED

See Also:
  Constant Field Values

### height

    int height

### angle

    float angle

### bold

    int bold

### italic

    int italic

### underline

    boolean underline

### strikeout

    boolean strikeout

### charset

    int charset

### pitchAndFamily

    int pitchAndFamily

### faceName

    String faceName

### font

    BaseFont font

Constructor Detail

### MetaFont

    public MetaFont()

Method Detail

### init

    public void init(InputMeta in)
              throws IOException

  Throws:
    `IOException`

### getFont

    public BaseFont getFont()

### getAngle

    public float getAngle()

### isUnderline

    public boolean isUnderline()

### isStrikeout

    public boolean isStrikeout()

### getFontSize

    public float getFontSize(MetaState state)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD